KWIN_HERSHEY_DRAW_STRING(3)

EXPERIMENTAL_FUNC
kwin_hershey_draw_string - Draw string using Hershey (stroke) font.

SYNOPSIS
#include <karma_kwin.h>

void kwin_hershey_draw_string

(KPixCanvas canvas, KPixCanvasHersheyString string, double x, double y, double size, unsigned long pixel_value)

DESCRIPTION
Draw string using Hershey (stroke) font.

canvas
    The KPixCanvas to draw onto.

string
    The string to draw.

x   The starting horizontal position of the string.

y   The starting vertical position of the string.

size
    The size of the font in pixels (typically 12.8).

pixel_value
    The pixel value to use when drawing the string.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/